Akismet To Legacy WordPress Blogs: It’s Time To Embrace The Future

Filed as News on August 23, 2010 5:24 pm

Akismet, a tool by Automattic (the creators of WordPress) have announced that WordPress bloggers refusing to embrace 3.0 could find themselves in a world of hurt in the future.

Version 2.4 of the Akismet plugin for WordPress is available now. This is a maintenance release that fixes some bugs, and includes some preparation for new features in a forthcoming version. […]

This version retains backwards compatibility with old versions of WordPress, but it is the last major release that will do so. The next release of the Akismet plugin will require WordPress 3.0. We’ll continue to maintain the 2.4 branch of Akismet with security updates for users who are unable to upgrade from old WordPress versions. (Official Akismet Blog)

Note: Emphasis theirs

The latest update sends all comments deleted by Akismet to your trash bin (which will solves the “my comments never show dilemma”) as well as various bug fixes.

Although the techs at Automattic are kind enough to keep 2.4 alive for legacy WP blogs, users refusing to update their blogs may find their comment section overwhelmed by human spammers in the future.

If ones host (or WP service platform) is preventing them from updating their blog to 3.0, then users should seriously consider finding a new host ASAP or outsource their comment threads to IntenseDebate or Disqus (both with support Akismet).

(Image Credit: Norebbo)

Tags: , ,

This post was written by

You can visit the for a short bio, more posts, and other information about the author.

Submissions & Subscriptions

Submit the post to Reddit, StumbleUpon, Digg or Del.icio.us.

Did you like it? Then subscribe to our RSS feed!



  1. By Pitumbo posted on October 21, 2010 at 4:42 pm
    Want an avatar? Get a gravatar! • You can link to this comment

    If Akismet is going to keep 2.4 available, then why would blogs that don’t update be at any more risk than those who use the newer version? I assume both versions of Akismet would use the same database to identify spam, so that both would be equally protected? Am I missing something? Only after 2.4 no longer works does it seem that one would be at risk.

    Reply

    Your words are your own, so be nice and helpful if you can. If this is the first time you're posting a comment, it might go into moderation. Don't worry, it's not lost, so there's no need to repost it! We accept clean XHTML in comments, but don't overdo it please.

    Current ye@r *